//********************************************************************
//  Coin.java       Author: Lewis and Loftus
//
//  Represents a coin with two sides that can be flipped.
//********************************************************************

public class Coin
{
   public final int HEADS = 0; // constant values
   public final int TAILS = 1;

   private int face; // state of the coin

   //-----------------------------------------------------------------
   //  Sets up the coin such that initial value is always heads
   //-----------------------------------------------------------------
   public Coin ()
   {
       flip();
   }

   //-----------------------------------------------------------------
   //  Flips the coin by randomly choosing a face.  face value is 0 with 2/3 probability
   //  and 1 with 1/3 probability
   //   logic: if Math.randon returns a number between 0-0.67 i want face to be 0
   //          else i want the face to be 1
   //-----------------------------------------------------------------
   public void flip ()
   { 
      if (Math.random()>0.67)
         face = TAILS;
      else
         face = HEADS;
      //face = (int) (Math.random() * 1.5);
   }
   
   //-----------------------------------------------------------------
   //  Sets up the coin such that initial value is set by flipping the coin
   //  count times
   // ANOTHER CONSTRUCTOR
   //-----------------------------------------------------------------
   public Coin (int count)
   {
      for (int i=0; i<count; i++)
        { flip(); }
      
   }

   //-----------------------------------------------------------------
   //  Returns the current face of the coin as an integer.
   //-----------------------------------------------------------------
   public int getFace ()
   {
       return face;
   }

   //-----------------------------------------------------------------
   //  Returns the current face of the coin as a string.
   //-----------------------------------------------------------------
   public String toString()
   {
      String faceName;

      if (face == HEADS)
         faceName = "Heads";
      else
         faceName = "Tails";

      return faceName;
   }
}
